
<!DOCTYPE html>

<html>
  <head>
    <meta charset="utf-8" />
    <meta name="viewport" content="width=device-width, initial-scale=1.0" /><meta name="generator" content="Docutils 0.17.1: http://docutils.sourceforge.net/" />

    <title>Do you feel lucky ? &#8212; Varnish version 6.0.11 documentation</title>
    <link rel="stylesheet" type="text/css" href="../_static/pygments.css" />
    <link rel="stylesheet" type="text/css" href="../_static/classic.css" />
    
    <script data-url_root="../" id="documentation_options" src="../_static/documentation_options.js"></script>
    <script src="../_static/jquery.js"></script>
    <script src="../_static/underscore.js"></script>
    <script src="../_static/doctools.js"></script>
    
    <link rel="index" title="Index" href="../genindex.html" />
    <link rel="search" title="Search" href="../search.html" />
    <link rel="next" title="API spaces" href="apispaces.html" />
    <link rel="prev" title="Poul-Hennings random outbursts" href="index.html" /> 
  </head><body>
    <div class="related" role="navigation" aria-label="related navigation">
      <h3>Navigation</h3>
      <ul>
        <li class="right" style="margin-right: 10px">
          <a href="../genindex.html" title="General Index"
             accesskey="I">index</a></li>
        <li class="right" >
          <a href="apispaces.html" title="API spaces"
             accesskey="N">next</a> |</li>
        <li class="right" >
          <a href="index.html" title="Poul-Hennings random outbursts"
             accesskey="P">previous</a> |</li>
        <li class="nav-item nav-item-0"><a href="../index.html">Varnish version 6.0.11 documentation</a> &#187;</li>
          <li class="nav-item nav-item-1"><a href="index.html" accesskey="U">Poul-Hennings random outbursts</a> &#187;</li>
        <li class="nav-item nav-item-this"><a href="">Do you feel lucky ?</a></li> 
      </ul>
    </div>  

    <div class="document">
      <div class="documentwrapper">
        <div class="bodywrapper">
          <div class="body" role="main">
            
  <section id="do-you-feel-lucky">
<span id="phk-lucky"></span><h1>Do you feel lucky ?<a class="headerlink" href="#do-you-feel-lucky" title="Permalink to this headline">¶</a></h1>
<p>Whenever a corporate cotton-mouth says anything, their laywers
always make them add a footnote to the effect that <em>“Past performance
is not predictive of future results.”</em> so they do not get sued for
being insufficiently clairvoyant.</p>
<p>The lawyers are wrong.</p>
<p>Past performance <em>is</em> predictive of future results:  That is how
we determine the odds.</p>
<p>Just never forget that the roll of the dice is still pure luck.</p>
<p>Or as author Neil Gaiman said it in
<a class="reference external" href="https://www.youtube.com/watch?v=2OwRUyZMKwI">a commencement speech in 2012</a>:</p>
<blockquote>
<div><p><em>»Often you will discover that the harder you work,
and the more wisely you work, the luckier you get.
But there is luck, and it helps.«</em></p>
</div></blockquote>
<p>Approximately four million real websites use Varnish now and the
number seems to grow by half a million sites per year, as it has
been doing for the last 8 years.</p>
<p>That took a lot of luck, and wisdom was probably also involved, but
mostly it was lot of hard work by a lot of people.</p>
<p>Wisdom is a tricky thing, the hypothesized “older—wiser” correlation
is still in clinical testing and in the meantime Neil Gaiman suggests:</p>
<blockquote>
<div><p><em>»So be wise, because the world needs more wisdom, and if you
cannot be wise, pretend to be someone who is wise, and then just
behave like they would.«</em></p>
</div></blockquote>
<p>Works for me.</p>
<section id="id1">
<h2>2018<a class="headerlink" href="#id1" title="Permalink to this headline">¶</a></h2>
<p>Despite sucking in pretty much any other aspect, 2018 was a good
year for Open Source Software in general and Varnish Cache in
particular.</p>
<p>People have finally started to understand that Free does not mean
Gratis, and that quality software takes time and effort.</p>
<p>From to the dot-com generation reinventing reproducible builds (like
we had then in the 1980’ies) to the EU setting up a pot
of <a class="reference external" href="https://juliareda.eu/2018/12/eu-fossa-bug-bounties/">850M€ bug-bounties</a> <a class="footnote-reference brackets" href="#f1" id="id2">1</a>,
things are moving in the right direction with respect to software
quality.</p>
<p>In 2018 the Varnish Cache project had settled into our “March and
September 15th” release strategy, and released 6.0 in March and 6.1
in September, as promised, and the next release will be out in ten
weeks.</p>
<p>We also had no security issues, and we have managed to keep the
number of open issues and bug reports down.</p>
<p>Writing it like that makes it sound boring, but with four million
web sites depending on Varnish, boring is good thing.</p>
<p>No news is indeed good news.</p>
</section>
<section id="and-http-3">
<h2>2019 and HTTP/3<a class="headerlink" href="#and-http-3" title="Permalink to this headline">¶</a></h2>
<p>The Next Big Thing in our world seems like it will be HTTP/3 (“The
protocol formerly known as QUIC”), and I suspect it will drive
much of our work in 2019.</p>
<p>It is far too early to say anything about if, when or how, but I
do spend a lot of time with pencil and paper, pretending to be
somebody who is good at designing secure and efficient software.</p>
<p>Around the time of the 2019-03-15 release we will gather for a VDD
(Varnish Developer Day), and the big topic there will be HTTP/3,
and then we will know and be ready to say something more detailed.</p>
<p>I don’t think it is realistic to roll out any kind of H3 support
in the september release, that release will probably only contain
a some of the necessary prepatory reorganization, so expect to
run production on 6.1 for a while.</p>
</section>
<section id="varnish-moral-license">
<h2>Varnish Moral License<a class="headerlink" href="#varnish-moral-license" title="Permalink to this headline">¶</a></h2>
<p>I want to thank the companies who have paid for a <a class="reference external" href="http://phk.freebsd.dk/VML/index.html">Varnish
Moral License</a>:</p>
<ul class="simple">
<li><p>Fastly</p></li>
<li><p>Uplex</p></li>
<li><p>Varnish Software</p></li>
<li><p>Section.io</p></li>
<li><p>Globo</p></li>
</ul>
<p>The VML funding is why Varnish Cache is not on EU’s hit-list and
why another half million websites who started using Varnish in
2018 will not regret it.</p>
<p>Much appreciated!</p>
</section>
<section id="enoluck">
<h2>ENOLUCK<a class="headerlink" href="#enoluck" title="Permalink to this headline">¶</a></h2>
<p>For me 2018 ended on a sour note, when my dear friend <a class="reference external" href="http://www.jacob-sparre.dk/">Jacob Sparre
Andersen</a> died from cancer a week
before christmas.</p>
<p>Society as such knows how to deal with deaths, and all sorts of
procedures and rules kick in, to tie the loose ends up, respectfully
and properly.</p>
<p>The Internet is not there yet, people on the Internet have only
just started dying, and there are not yet any automatic routines
or generally perceived procedures for informing the people and
communities who should know, or for tying up the loose ends, accounts,
repositories and memberships on the Internet.</p>
<p>But deaths happen, and I can tell you from personal experience that
few things feel more awful, than having sent an email to somebody,
to receive the reply from their heartbroken spouse, that you are
many months too late <a class="footnote-reference brackets" href="#f2" id="id4">2</a>.</p>
<p>Jacob was not a major persona on the Internet, but between doing a
lot of interesting stuff as a multi-disicpline phd. in physics,
being a really good Ada programmer, a huge Lego enthusiast, an
incredibly helpful person <em>and</em> really <em>good</em> at helping, he had a
lot of friends in many corners of the Internet.</p>
<p>Jacob knew what was coming, and being his usual helpful self, he
used the last few weeks to make a list of who to tell online, where
things were stored, what the passwords were, and he even appointed
a close friend to be his “digital executor”, who will help his widow
sort all these things out in the coming months.</p>
<p>When people die in our age-bracket, they usually do not get a few
weeks notice.  If Jacob had been hit by a bus, his widow would have
have been stuck in an almost impossible digital situation, starting
with the need to guess, well, pretty much everything, including
the passwords.</p>
<p>In honour of my helpful friend Jacob, and for the sake of your loved
ones, please sit down tonight, and write your own list of digital
who, what and where, including how to gain access to the necessary
passwords, and file it away in a way where it will be found, if
you run out of luck.</p>
<p>Good luck!</p>
<p><em>phk</em></p>
<p class="rubric">Footnotes</p>
<dl class="footnote brackets">
<dt class="label" id="f1"><span class="brackets"><a class="fn-backref" href="#id2">1</a></span></dt>
<dd><p>I am not a big fan of bug-bounties, but I will grudingly admit
that wiser men than me, notably <a class="reference external" href="https://www.youtube.com/watch?v=nT-TGvYOBpI">Dan Geer</a>, have proposed that
tax-money be used to snatch the vulnerabilities up, before bad guys
get hold of them, and they seem to have a point.</p>
</dd>
<dt class="label" id="f2"><span class="brackets"><a class="fn-backref" href="#id4">2</a></span></dt>
<dd><p>And it does not feel any less awful if the loved ones
left behind tries to fill the blanks by asking you how you knew
each other and if you have any memories you could share with them.</p>
</dd>
</dl>
</section>
</section>


            <div class="clearer"></div>
          </div>
        </div>
      </div>
      <div class="sphinxsidebar" role="navigation" aria-label="main navigation">
        <div class="sphinxsidebarwrapper">
  <h3><a href="../index.html">Table of Contents</a></h3>
  <ul>
<li><a class="reference internal" href="#">Do you feel lucky ?</a><ul>
<li><a class="reference internal" href="#id1">2018</a></li>
<li><a class="reference internal" href="#and-http-3">2019 and HTTP/3</a></li>
<li><a class="reference internal" href="#varnish-moral-license">Varnish Moral License</a></li>
<li><a class="reference internal" href="#enoluck">ENOLUCK</a></li>
</ul>
</li>
</ul>

  <h4>Previous topic</h4>
  <p class="topless"><a href="index.html"
                        title="previous chapter">Poul-Hennings random outbursts</a></p>
  <h4>Next topic</h4>
  <p class="topless"><a href="apispaces.html"
                        title="next chapter">API spaces</a></p>
  <div role="note" aria-label="source link">
    <h3>This Page</h3>
    <ul class="this-page-menu">
      <li><a href="../_sources/phk/lucky.rst.txt"
            rel="nofollow">Show Source</a></li>
    </ul>
   </div>
<div id="searchbox" style="display: none" role="search">
  <h3 id="searchlabel">Quick search</h3>
    <div class="searchformwrapper">
    <form class="search" action="../search.html" method="get">
      <input type="text" name="q" aria-labelledby="searchlabel" autocomplete="off" autocorrect="off" autocapitalize="off" spellcheck="false"/>
      <input type="submit" value="Go" />
    </form>
    </div>
</div>
<script>$('#searchbox').show(0);</script>
        </div>
      </div>
      <div class="clearer"></div>
    </div>
    <div class="related" role="navigation" aria-label="related navigation">
      <h3>Navigation</h3>
      <ul>
        <li class="right" style="margin-right: 10px">
          <a href="../genindex.html" title="General Index"
             >index</a></li>
        <li class="right" >
          <a href="apispaces.html" title="API spaces"
             >next</a> |</li>
        <li class="right" >
          <a href="index.html" title="Poul-Hennings random outbursts"
             >previous</a> |</li>
        <li class="nav-item nav-item-0"><a href="../index.html">Varnish version 6.0.11 documentation</a> &#187;</li>
          <li class="nav-item nav-item-1"><a href="index.html" >Poul-Hennings random outbursts</a> &#187;</li>
        <li class="nav-item nav-item-this"><a href="">Do you feel lucky ?</a></li> 
      </ul>
    </div>
    <div class="footer" role="contentinfo">
        &#169; Copyright 2010-2014, Varnish Software AS.
      Created using <a href="https://www.sphinx-doc.org/">Sphinx</a> 4.3.2.
    </div>
  </body>
</html>